Skip to navigation

Get secret types

View as Markdown

Gets the metadata of the secret types supported by Postman’s Secret Scanner. You can use a secret type’s ID in the response to query data with the POST /detected-secrets/{secretId} endpoint.

Authentication

x-api-keystring
API Key authentication via header

Response

Successful Response
datalist of objectsOptional
A list of secret types the scanner can detect.
metaobjectOptional
Aggregate counts across the returned records.

Errors

401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error